%define name      chipmunk
%define major     5
%define pkg_major 6
%define libname   %mklibname %{name} %{version} %{major}
%define develname %mklibname -d %{name}
%define demoname  chipmunk-demo
%define samplname chipmunk-samples

Name:           %{name}
Version:        6.0.3
Release:        %mkrel 1
Summary:        2D physics engine
Group:          Development/C
License:        MIT
URL:            http://chipmunk-physics.net/
Source0:        http://chipmunk-physics.net/release/Chipmunk-%{pkg_major}.x/Chipmunk-%{version}.tgz
Source1:        chipmunk-makefile
# opengl is only needed by the demos
BuildRequires:  libmesagl-devel
BuildRequires:  mesaglu-devel
BuildRequires:  freeglut-devel

%description
Chipmunk is a rigid body physics library, designed for 2D video games.

%package -n %{libname}
Summary:        2D physics engine
Group:          Development/C

%description -n %{libname}
Chipmunk is a rigid body physics library, designed for 2D video games.

%package -n %{develname}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       lib%{name} = %{version}-%{release}

%description -n %{develname}
The %{develname} package contains header files for developing
applications that use %{libname}.

%package -n %{demoname}
Summary:        Demos of the library %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}

%description -n %{demoname}
The %{demoname} package provides some demos of what can be achieved
using the library %{libname}.
Switch the demos using the keyboard keys from [a] to [s].

%package -n %{samplname}
Summary:        Examples of use of the library %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}

%description -n %{samplname}
The %{samplname} package provides the source code of the demos.

%prep
%setup -q -n Chipmunk-%{version}
cp %{SOURCE1} src/Makefile

%build
pushd src
make clean
make
make cleanobj
make static CFLAGS=-std=c99
popd
pushd Demo
ln -s ../src/libchipmunk.so.* libchipmunk.so
gcc -o chipmunk-demo -std=gnu99 -I../include/chipmunk -L. -lchipmunk -lm -lGL -lGLU -lglut *.c
popd
mkdir samples
cp Demo/*.[ch] samples/

%install
rm -rf %{buildroot}
pushd src
make install \
  INCDIR=%{buildroot}%{_includedir} \
  LIBDEST=%{buildroot}%{_libdir}
popd
pushd Demo
install -d -m 0755 %{buildroot}%{_bindir}
install -m 0755 chipmunk-demo %{buildroot}%{_bindir}
popd

%files -n %{libname}
%doc LICENSE.txt
%{_libdir}/libchipmunk.so.*

%files -n %{develname}
%doc README.textile
%{_libdir}/libchipmunk.so
%{_libdir}/libchipmunk.*a
%{_includedir}/chipmunk

%files -n %{demoname}
%{_bindir}/chipmunk-demo

%files -n %{samplname}
%doc samples


%changelog

* Sat Jan 07 2012 blue_prawn <blue_prawn> 6.0.3-1.mga2
+ Revision: 192913
- link with math lib
- using freeglut
- GLU header was missing
- imported package chipmunk

